import { PropertyValueMap } from 'lit';
import { Ref } from 'lit/directives/ref.js';
import { InteractiveElement } from '../mixins/interactiveElement';
declare type DraggerChangeEventDetail = {
    x: number;
};
export declare class DraggerChangeEvent extends Event {
    detail: DraggerChangeEventDetail;
    constructor(x: number);
}
declare type Position = [number, number];
export declare class ImageComparisonViewerDraggerHandle extends InteractiveElement {
    static styles: import("lit").CSSResult;
    constructor();
    draggerRef: Ref<HTMLDivElement>;
    imageSize: Position;
    position: Position;
    initialValue: number;
    zoom: number;
    x: number;
    comparisonx: number;
    width: number;
    containerEl?: HTMLDivElement;
    getWidth(): number;
    protected isValidImageSize(): boolean;
    protected firstUpdated(_changedProperties: PropertyValueMap<any> | Map<PropertyKey, unknown>): void;
    protected updated(_changedProperties: PropertyValueMap<any> | Map<PropertyKey, unknown>): void;
    render(): import("lit").TemplateResult<1>;
}
declare global {
    interface HTMLElementTagNameMap {
        'image-comparison-viewer-dragger-handle': ImageComparisonViewerDraggerHandle;
    }
}
export {};
