import { PropertyValueMap } from 'lit';
import { Ref } from 'lit/directives/ref.js';
import { Background } from './background';
import './background';
import './mask';
import './images';
import './handle';
import { InteractiveElement } from '../mixins/interactiveElement';
import { DraggerChangeEvent } from './handle';
declare type ImageElement = HTMLImageElement | HTMLCanvasElement;
declare type ImageSize = [number, number];
declare type ValidChildNodes = [ImageElement, ImageElement];
export declare class ImageComparisonViewer extends InteractiveElement {
    static styles: import("lit").CSSResult;
    background: Background;
    zoom: number;
    startingZoom: number;
    comparisonx: number;
    imageSize?: ImageSize;
    mainSlot?: HTMLSlotElement;
    imageElements?: ValidChildNodes;
    getChildNodes(): Array<ImageElement>;
    observer?: MutationObserver;
    isPinching: boolean;
    imageAContainer: Ref<HTMLDivElement>;
    imageBContainer: Ref<HTMLDivElement>;
    connectedCallback(): void;
    renderImages(): void;
    handleSlotchange(): void;
    updateImageAStyle(): void;
    firstUpdated(): void;
    updated(_p: PropertyValueMap<any> | Map<PropertyKey, unknown>): void;
    handleDrag: ({ detail }: DraggerChangeEvent) => void;
    getRect(): DOMRect;
    render(): import("lit").TemplateResult<1>;
}
declare global {
    interface HTMLElementTagNameMap {
        'image-comparison-viewer': ImageComparisonViewer;
    }
}
export {};
